coverage layer not checked before parsing filename expression in atlas generation

2015-04-30 06:04 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20785

Description

Enable "atlas generation" in a new print composer

Erase the content of fileName expression

And launch atlas export to image (or anything else).

Remark that I haven't selected a coverage layer.

Then you get a message "Unable to evaluate the filename pattern. "Could not set filename pattern as ''. Parser error: '' "

I had to close this dialog more than 200 times before it really gets closed. If I wasn't that patient I would have made QGIS crash my

project the first time I got it.  Don't find why this number though.

I think there may be a check done on layer coverage value before trying to parse fileNamePattern.

History

#1 - 2015-05-14 03:03 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#2 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#3 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2018-02-27 06:52 PM - Harrissou Santanna

- Status changed from Open to Closed

- Description updated

- Resolution set to fixed/implemented

In 3.1 the check is done and user is warned multiple times that the filename requires his attention and without a change, a default name is used.

There's however an issue with the missing coverage layer that i report in #18253.
